GNU logs - #30457, boring messages


Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#30457: 26.0.91; bidi-display-reordering makes navigation around melpa/archive-contents slow
Resent-From: Aaron Jensen <aaronjensen@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Wed, 14 Feb 2018 16:51:01 +0000
Resent-Message-ID: <handler.30457.B.15186270256520 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: report 30457
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: 30457 <at> debbugs.gnu.org
X-Debbugs-Original-To: bug-gnu-emacs@HIDDEN
Received: via spool by submit <at> debbugs.gnu.org id=B.15186270256520
          (code B ref -1); Wed, 14 Feb 2018 16:51:01 +0000
Received: (at submit) by debbugs.gnu.org; 14 Feb 2018 16:50:25 +0000
Received: from localhost ([127.0.0.1]:43074 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1em0GG-0001h5-3q
	for submit <at> debbugs.gnu.org; Wed, 14 Feb 2018 11:50:25 -0500
Received: from eggs.gnu.org ([208.118.235.92]:36176)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <aaronjensen@HIDDEN>) id 1em0GD-0001gr-GJ
 for submit <at> debbugs.gnu.org; Wed, 14 Feb 2018 11:50:22 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <aaronjensen@HIDDEN>) id 1em0G3-0003FE-Iy
 for submit <at> debbugs.gnu.org; Wed, 14 Feb 2018 11:50:16 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,FREEMAIL_FROM,
 T_DKIM_INVALID autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:57698)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <aaronjensen@HIDDEN>)
 id 1em0G3-0003F6-Ea
 for submit <at> debbugs.gnu.org; Wed, 14 Feb 2018 11:50:11 -0500
Received: from eggs.gnu.org ([2001:4830:134:3::10]:55356)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <aaronjensen@HIDDEN>) id 1em0Fy-0002H3-UU
 for bug-gnu-emacs@HIDDEN; Wed, 14 Feb 2018 11:50:11 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <aaronjensen@HIDDEN>) id 1em0Fu-0003C0-Rv
 for bug-gnu-emacs@HIDDEN; Wed, 14 Feb 2018 11:50:07 -0500
Received: from mail-pf0-x235.google.com ([2607:f8b0:400e:c00::235]:34964)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_128_CBC_SHA1:16)
 (Exim 4.71) (envelope-from <aaronjensen@HIDDEN>)
 id 1em0Fu-0003BY-FR
 for bug-gnu-emacs@HIDDEN; Wed, 14 Feb 2018 11:50:02 -0500
Received: by mail-pf0-x235.google.com with SMTP id q11so2056999pfh.2
 for <bug-gnu-emacs@HIDDEN>; Wed, 14 Feb 2018 08:50:02 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:subject:date:message-id:mime-version;
 bh=d6plff6Ch+ezJECzhHH2Dli8IZJ97VBlhxmBK8O6y1c=;
 b=ELNlBER9do9y8O7RKMDfI1swcyGUTSna2TzfitFyrNMCLpQvPvjY9IDk/rDe8S/9eg
 xBFBwbOY0e9siOl15+1tKNE+kQwnU7H/QHr9ERKzdBrQZsQNmE+T51+svKB6aqWr9WTt
 VhSQSua+dkXVSHTw9yEQIWZd8W+QOSXIxGnJyS8qC+yUziEJyr6IhozRfJnYE1RPA8pi
 7ehcqyTW58cjs3QNSsB7DcmXRQMSzIBi0kKNdV3N/0UbOTpOZtssCCFFVN2VqT0zEgAS
 /VOEvujoq/+iGZZA/+QvDyEdpYaRC3AOBJ1bdSnwBnQcrOIZmn19TMqE9P1oN9mWPb5M
 Wa5g==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:subject:date:message-id:mime-version;
 bh=d6plff6Ch+ezJECzhHH2Dli8IZJ97VBlhxmBK8O6y1c=;
 b=Sj6z9gMfXDsveCMXSkDWHn3vMl+MiPVJuhdmOTGRyoEawxIqVJqDp39HN+ZO1YMQLN
 KKMKs82w+APy/Zt390cM1LNfpfH5v/zL2wPDfXTQ0k23hLeTFDy+uMF+fEmqyUGMY7y5
 NSU4nJGvvfSIbT+OD/qn5xw/UdGn9mYSXdzU9Fa4cs0vtpUvKgiN12J0rlabv0tDFzY/
 P2453R2IgOLkvXqUZBqxWo4vH1vc7GDtH+KZ2MKa3B2Rtp2OKO1Q/0ifXav8ZTQyf7Rg
 XS/K8mTS/4MC1RRWmNymG1H6Gyw1dYir/rJM/nWw2KF9nbFEeON1S6mkL9+QkS0dSiFe
 Lq3A==
X-Gm-Message-State: APf1xPA8bwiAjLlFIU6DcFAxa6M5k3dRe/j8hlLx0sYM/2oVKvUp4msS
 DJeWe6+B7GZDNrLyKwyCcKCpXdWD
X-Google-Smtp-Source: AH8x226TTsGtVHSRmSx2Pa+VFtYjd6ZCTAY8nVXLejFi4VG3RfBF31qHo0V5tTkjFI4+yLPY4MaBzA==
X-Received: by 10.101.66.129 with SMTP id j1mr4296758pgp.56.1518627000378;
 Wed, 14 Feb 2018 08:50:00 -0800 (PST)
Received: from aaron-mbt.local (c-76-28-156-232.hsd1.wa.comcast.net.
 [76.28.156.232])
 by smtp.gmail.com with ESMTPSA id i27sm10660553pfi.32.2018.02.14.08.49.59
 for <bug-gnu-emacs@HIDDEN>
 (version=TLS1_2 cipher=ECDHE-RSA-CHACHA20-POLY1305 bits=256/256);
 Wed, 14 Feb 2018 08:49:59 -0800 (PST)
From: Aaron Jensen <aaronjensen@HIDDEN>
Date: Wed, 14 Feb 2018 08:49:58 -0800
Message-ID: <m2lgfviki1.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-detected-operating-system: by eggs.gnu.org: Genre and OS details not
 recognized.
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -4.0 (----)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -4.0 (----)


In this thread, Eli asked for a real world repro where
bidi-display-reordering slows down emacs:
https://www.reddit.com/r/emacs/comments/7wezb4/how_can_i_make_line_rendering_faster/

I found that today, so I wanted to report it.

Download: https://melpa.org/packages/archive-contents

emacs -Q archive-contents

Press and hold C-n (I have a very fast key repeat rate)

On my machine, it takes about 13 seconds to get to the bottom of the
window (where it first scrolls, not the bottom of the buffer, I don't
have the patience for that).

(setq bidi-display-reordering nil)

Press and hold C-n

On my machine, it takes about 1 second to get to the bottom of the
window.

This a profile when it is `t`:

- command-execute                                                5643  99%
 - call-interactively                                            5643  99%
  - funcall-interactively                                        5157  91%
   - next-line                                                   4880  86%
    - line-move                                                  4880  86%
       line-move-visual                                          2439  43%
   + execute-extended-command                                     160   2%
   + minibuffer-complete                                          117   2%
  + byte-code                                                     486   8%
+ ...                                                               3   0%

I hope that this is a compelling enough use-case. I don't believe I have
a use-case for it to be `t` right now, so I'll be setting it to `nil` by
default in my config, but I wanted to report this because of the
aforementioned thread.

Thanks!


In GNU Emacs 26.0.91 (build 1, x86_64-apple-darwin17.3.0, NS appkit-1561.20 Version 10.13.2 (Build 17C205))
 of 2018-01-13 built on aaron-mbt.local
Repository revision: 5dd0e5c54d29e81c07798a124295c8c3f016d621
Windowing system distributor 'Apple', version 10.3.1561
Recent messages:
/Users/aaronjensen/.emacs.d/.cache/work.org
Decrypting /Users/aaronjensen/Dropbox (Personal)/Family Notes/health.org.gpg...done
Error running timer: (error "Agenda file ~/Dropbox (Personal)/Family Notes/health.org.gpg is not in Org mode")
Appointment reminders enabled (no diary file found)
Added 5 events for today
Quit [2 times]
user-error: Previous command was not an evil-paste: keyboard-quit
<nil> <down-mouse-1> is undefined
<nil> <mouse-1> is undefined
Quit [2 times]

Configured using:
 'configure --disable-dependency-tracking --disable-silent-rules
 --enable-locallisppath=/usr/local/share/emacs/site-lisp
 --infodir=/usr/local/Cellar/emacs-plus/HEAD-5dd0e5c/share/info/emacs
 --prefix=/usr/local/Cellar/emacs-plus/HEAD-5dd0e5c --with-xml2
 --without-dbus --with-gnutls --with-imagemagick --with-modules
 --with-rsvg --with-ns --disable-ns-self-contained'

Configured features:
JPEG RSVG IMAGEMAGICK NOTIFY ACL GNUTLS LIBXML2 ZLIB TOOLKIT_SCROLL_BARS
NS MODULES LCMS2

Important settings:
  value of $LANG: en_US.UTF-8
  locale-coding-system: utf-8-unix

Major mode: Fundamental

Minor modes in effect:
  magit-auto-revert-mode: t
  company-statistics-mode: t
  company-childframe-mode: t
  eros-mode: t
  yas-global-mode: t
  yas-minor-mode: t
  global-git-gutter+-mode: t
  git-gutter+-mode: t
  global-git-commit-mode: t
  async-bytecomp-package-mode: t
  recentf-mode: t
  desktop-save-mode: t
  auto-dim-other-buffers-mode: t
  global-wakatime-mode: t
  wakatime-mode: t
  global-spacemacs-whitespace-cleanup-mode: t
  spacemacs-whitespace-cleanup-mode: t
  ws-butler-global-mode: t
  ws-butler-mode: t
  winum-mode: t
  winner-mode: t
  pupo-mode: t
  purpose-mode: t
  volatile-highlights-mode: t
  global-vi-tilde-fringe-mode: t
  vi-tilde-fringe-mode: t
  save-place-mode: t
  savehist-mode: t
  projectile-rails-global-mode: t
  projectile-mode: t
  persp-mode: t
  global-origami-mode: t
  origami-mode: t
  Info-breadcrumbs-in-mode-line-mode: t
  flycheck-pos-tip-mode: t
  global-flycheck-mode: t
  flx-ido-mode: t
  eyebrowse-mode: t
  global-evil-surround-mode: t
  evil-surround-mode: t
  global-evil-search-highlight-persist: t
  show-smartparens-global-mode: t
  show-smartparens-mode: t
  evil-lion-mode: t
  evil-escape-mode: t
  eval-sexp-fu-flash-mode: t
  editorconfig-mode: t
  dtrt-indent-mode: t
  global-anzu-mode: t
  anzu-mode: t
  counsel-mode: t
  ivy-mode: t
  delete-selection-mode: t
  clean-aindent-mode: t
  hybrid-mode: t
  which-key-mode: t
  override-global-mode: t
  global-undo-tree-mode: t
  undo-tree-mode: t
  evil-mode: t
  evil-local-mode: t
  spacemacs-leader-override-mode: t
  global-spacemacs-leader-override-mode: t
  diff-auto-refine-mode: t
  global-hl-line-mode: t
  xterm-mouse-mode: t
  global-auto-revert-mode: t
  shell-dirtrack-mode: t
  ido-vertical-mode: t
  global-page-break-lines-mode: t
  global-eldoc-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  column-number-mode: t
  line-number-mode: t
  transient-mark-mode: t
  abbrev-mode: t

Load-path shadows:
/Users/aaronjensen/.emacs.d/elpa/26.0/develop/ht-20180129.1434/ht hides /Users/aaronjensen/.emacs.d/core/libs/ht
/Users/aaronjensen/.emacs.d/elpa/26.0/develop/inf-ruby-20180121.2300/inf-ruby hides /usr/local/share/emacs/site-lisp/ruby/inf-ruby
/Users/aaronjensen/.emacs.d/elpa/26.0/develop/org-plus-contrib-20180212/ob-stan hides /usr/local/Cellar/emacs-plus/HEAD-5dd0e5c/share/emacs/26.0.91/lisp/org/ob-stan
/Users/aaronjensen/.emacs.d/elpa/26.0/develop/org-plus-contrib-20180212/ob-exp hides /usr/local/Cellar/emacs-plus/HEAD-5dd0e5c/share/emacs/26.0.91/lisp/org/ob-exp
/Users/aaronjensen/.emacs.d/elpa/26.0/develop/org-plus-contrib-20180212/ob-J hides /usr/local/Cellar/emacs-plus/HEAD-5dd0e5c/share/emacs/26.0.91/lisp/org/ob-J
/Users/aaronjensen/.emacs.d/elpa/26.0/develop/org-plus-contrib-20180212/org-eshell hides /usr/local/Cellar/emacs-plus/HEAD-5dd0e5c/share/emacs/26.0.91/lisp/org/org-eshell
/Users/aaronjensen/.emacs.d/elpa/26.0/develop/org-plus-contrib-20180212/ob-emacs-lisp hides /usr/local/Cellar/emacs-plus/HEAD-5dd0e5c/share/emacs/26.0.91/lisp/org/ob-emacs-lisp
/Users/aaronjensen/.emacs.d/elpa/26.0/develop/org-plus-contrib-20180212/org-gnus hides /usr/local/Cellar/emacs-plus/HEAD-5dd0e5c/share/emacs/26.0.91/lisp/org/org-gnus
/Users/aaronjensen/.emacs.d/elpa/26.0/develop/org-plus-contrib-20180212/ob-css hides /usr/local/Cellar/emacs-plus/HEAD-5dd0e5c/share/emacs/26.0.91/lisp/org/ob-css
/Users/aaronjensen/.emacs.d/elpa/26.0/develop/org-plus-contrib-20180212/ob-lob hides /usr/local/Cellar/emacs-plus/HEAD-5dd0e5c/share/emacs/26.0.91/lisp/org/ob-lob
/Users/aaronjensen/.emacs.d/elpa/26.0/develop/org-plus-contrib-20180212/ob-forth hides /usr/local/Cellar/emacs-plus/HEAD-5dd0e5c/share/emacs/26.0.91/lisp/org/ob-forth
/Users/aaronjensen/.emacs.d/elpa/26.0/develop/org-plus-contrib-20180212/org-macs hides /usr/local/Cellar/emacs-plus/HEAD-5dd0e5c/share/emacs/26.0.91/lisp/org/org-macs
/Users/aaronjensen/.emacs.d/elpa/26.0/develop/org-plus-contrib-20180212/ob hides /usr/local/Cellar/emacs-plus/HEAD-5dd0e5c/share/emacs/26.0.91/lisp/org/ob
/Users/aaronjensen/.emacs.d/elpa/26.0/develop/org-plus-contrib-20180212/org-version hides /usr/local/Cellar/emacs-plus/HEAD-5dd0e5c/share/emacs/26.0.91/lisp/org/org-version
/Users/aaronjensen/.emacs.d/elpa/26.0/develop/org-plus-contrib-20180212/ob-scheme hides /usr/local/Cellar/emacs-plus/HEAD-5dd0e5c/share/emacs/26.0.91/lisp/org/ob-scheme
/Users/aaronjensen/.emacs.d/elpa/26.0/develop/org-plus-contrib-20180212/ox hides /usr/local/Cellar/emacs-plus/HEAD-5dd0e5c/share/emacs/26.0.91/lisp/org/ox
/Users/aaronjensen/.emacs.d/elpa/26.0/develop/org-plus-contrib-20180212/ob-abc hides /usr/local/Cellar/emacs-plus/HEAD-5dd0e5c/share/emacs/26.0.91/lisp/org/ob-abc
/Users/aaronjensen/.emacs.d/elpa/26.0/develop/org-plus-contrib-20180212/ob-C hides /usr/local/Cellar/emacs-plus/HEAD-5dd0e5c/share/emacs/26.0.91/lisp/org/ob-C
/Users/aaronjensen/.emacs.d/elpa/26.0/develop/org-plus-contrib-20180212/org-capture hides /usr/local/Cellar/emacs-plus/HEAD-5dd0e5c/share/emacs/26.0.91/lisp/org/org-capture
/Users/aaronjensen/.emacs.d/elpa/26.0/develop/org-plus-contrib-20180212/ob-ref hides /usr/local/Cellar/emacs-plus/HEAD-5dd0e5c/share/emacs/26.0.91/lisp/org/ob-ref
/Users/aaronjensen/.emacs.d/elpa/26.0/develop/org-plus-contrib-20180212/ob-clojure hides /usr/local/Cellar/emacs-plus/HEAD-5dd0e5c/share/emacs/26.0.91/lisp/org/ob-clojure
/Users/aaronjensen/.emacs.d/elpa/26.0/develop/org-plus-contrib-20180212/org-mouse hides /usr/local/Cellar/emacs-plus/HEAD-5dd0e5c/share/emacs/26.0.91/lisp/org/org-mouse
/Users/aaronjensen/.emacs.d/elpa/26.0/develop/org-plus-contrib-20180212/ob-ledger hides /usr/local/Cellar/emacs-plus/HEAD-5dd0e5c/share/emacs/26.0.91/lisp/org/ob-ledger
/Users/aaronjensen/.emacs.d/elpa/26.0/develop/org-plus-contrib-20180212/org-ctags hides /usr/local/Cellar/emacs-plus/HEAD-5dd0e5c/share/emacs/26.0.91/lisp/org/org-ctags
/Users/aaronjensen/.emacs.d/elpa/26.0/develop/org-plus-contrib-20180212/org-entities hides /usr/local/Cellar/emacs-plus/HEAD-5dd0e5c/share/emacs/26.0.91/lisp/org/org-entities
/Users/aaronjensen/.emacs.d/elpa/26.0/develop/org-plus-contrib-20180212/org-archive hides /usr/local/Cellar/emacs-plus/HEAD-5dd0e5c/share/emacs/26.0.91/lisp/org/org-archive
/Users/aaronjensen/.emacs.d/elpa/26.0/develop/org-plus-contrib-20180212/ob-screen hides /usr/local/Cellar/emacs-plus/HEAD-5dd0e5c/share/emacs/26.0.91/lisp/org/ob-screen
/Users/aaronjensen/.emacs.d/elpa/26.0/develop/org-plus-contrib-20180212/ob-haskell hides /usr/local/Cellar/emacs-plus/HEAD-5dd0e5c/share/emacs/26.0.91/lisp/org/ob-haskell
/Users/aaronjensen/.emacs.d/elpa/26.0/develop/org-plus-contrib-20180212/ob-asymptote hides /usr/local/Cellar/emacs-plus/HEAD-5dd0e5c/share/emacs/26.0.91/lisp/org/ob-asymptote
/Users/aaronjensen/.emacs.d/elpa/26.0/develop/org-plus-contrib-20180212/org-mhe hides /usr/local/Cellar/emacs-plus/HEAD-5dd0e5c/share/emacs/26.0.91/lisp/org/org-mhe
/Users/aaronjensen/.emacs.d/elpa/26.0/develop/org-plus-contrib-20180212/org-table hides /usr/local/Cellar/emacs-plus/HEAD-5dd0e5c/share/emacs/26.0.91/lisp/org/org-table
/Users/aaronjensen/.emacs.d/elpa/26.0/develop/org-plus-contrib-20180212/ob-keys hides /usr/local/Cellar/emacs-plus/HEAD-5dd0e5c/share/emacs/26.0.91/lisp/org/ob-keys
/Users/aaronjensen/.emacs.d/elpa/26.0/develop/org-plus-contrib-20180212/ox-org hides /usr/local/Cellar/emacs-plus/HEAD-5dd0e5c/share/emacs/26.0.91/lisp/org/ox-org
/Users/aaronjensen/.emacs.d/elpa/26.0/develop/org-plus-contrib-20180212/org-plot hides /usr/local/Cellar/emacs-plus/HEAD-5dd0e5c/share/emacs/26.0.91/lisp/org/org-plot
/Users/aaronjensen/.emacs.d/elpa/26.0/develop/org-plus-contrib-20180212/ob-awk hides /usr/local/Cellar/emacs-plus/HEAD-5dd0e5c/share/emacs/26.0.91/lisp/org/ob-awk
/Users/aaronjensen/.emacs.d/elpa/26.0/develop/org-plus-contrib-20180212/ob-groovy hides /usr/local/Cellar/emacs-plus/HEAD-5dd0e5c/share/emacs/26.0.91/lisp/org/ob-groovy
/Users/aaronjensen/.emacs.d/elpa/26.0/develop/org-plus-contrib-20180212/ob-octave hides /usr/local/Cellar/emacs-plus/HEAD-5dd0e5c/share/emacs/26.0.91/lisp/org/ob-octave
/Users/aaronjensen/.emacs.d/elpa/26.0/develop/org-plus-contrib-20180212/org-faces hides /usr/local/Cellar/emacs-plus/HEAD-5dd0e5c/share/emacs/26.0.91/lisp/org/org-faces
/Users/aaronjensen/.emacs.d/elpa/26.0/develop/org-plus-contrib-20180212/org-colview hides /usr/local/Cellar/emacs-plus/HEAD-5dd0e5c/share/emacs/26.0.91/lisp/org/org-colview
/Users/aaronjensen/.emacs.d/elpa/26.0/develop/org-plus-contrib-20180212/ob-R hides /usr/local/Cellar/emacs-plus/HEAD-5dd0e5c/share/emacs/26.0.91/lisp/org/ob-R
/Users/aaronjensen/.emacs.d/elpa/26.0/develop/org-plus-contrib-20180212/org-timer hides /usr/local/Cellar/emacs-plus/HEAD-5dd0e5c/share/emacs/26.0.91/lisp/org/org-timer
/Users/aaronjensen/.emacs.d/elpa/26.0/develop/org-plus-contrib-20180212/ob-ebnf hides /usr/local/Cellar/emacs-plus/HEAD-5dd0e5c/share/emacs/26.0.91/lisp/org/ob-ebnf
/Users/aaronjensen/.emacs.d/elpa/26.0/develop/org-plus-contrib-20180212/org-mobile hides /usr/local/Cellar/emacs-plus/HEAD-5dd0e5c/share/emacs/26.0.91/lisp/org/org-mobile
/Users/aaronjensen/.emacs.d/elpa/26.0/develop/org-plus-contrib-20180212/ob-fortran hides /usr/local/Cellar/emacs-plus/HEAD-5dd0e5c/share/emacs/26.0.91/lisp/org/ob-fortran
/Users/aaronjensen/.emacs.d/elpa/26.0/develop/org-plus-contrib-20180212/ob-shell hides /usr/local/Cellar/emacs-plus/HEAD-5dd0e5c/share/emacs/26.0.91/lisp/org/ob-shell
/Users/aaronjensen/.emacs.d/elpa/26.0/develop/org-plus-contrib-20180212/ob-perl hides /usr/local/Cellar/emacs-plus/HEAD-5dd0e5c/share/emacs/26.0.91/lisp/org/ob-perl
/Users/aaronjensen/.emacs.d/elpa/26.0/develop/org-plus-contrib-20180212/ob-sqlite hides /usr/local/Cellar/emacs-plus/HEAD-5dd0e5c/share/emacs/26.0.91/lisp/org/ob-sqlite
/Users/aaronjensen/.emacs.d/elpa/26.0/develop/org-plus-contrib-20180212/ob-sed hides /usr/local/Cellar/emacs-plus/HEAD-5dd0e5c/share/emacs/26.0.91/lisp/org/ob-sed
/Users/aaronjensen/.emacs.d/elpa/26.0/develop/org-plus-contrib-20180212/org-list hides /usr/local/Cellar/emacs-plus/HEAD-5dd0e5c/share/emacs/26.0.91/lisp/org/org-list
/Users/aaronjensen/.emacs.d/elpa/26.0/develop/org-plus-contrib-20180212/ob-ruby hides /usr/local/Cellar/emacs-plus/HEAD-5dd0e5c/share/emacs/26.0.91/lisp/org/ob-ruby
/Users/aaronjensen/.emacs.d/elpa/26.0/develop/org-plus-contrib-20180212/ob-eval hides /usr/local/Cellar/emacs-plus/HEAD-5dd0e5c/share/emacs/26.0.91/lisp/org/ob-eval
/Users/aaronjensen/.emacs.d/elpa/26.0/develop/org-plus-contrib-20180212/org-habit hides /usr/local/Cellar/emacs-plus/HEAD-5dd0e5c/share/emacs/26.0.91/lisp/org/org-habit
/Users/aaronjensen/.emacs.d/elpa/26.0/develop/org-plus-contrib-20180212/org-clock hides /usr/local/Cellar/emacs-plus/HEAD-5dd0e5c/share/emacs/26.0.91/lisp/org/org-clock
/Users/aaronjensen/.emacs.d/elpa/26.0/develop/org-plus-contrib-20180212/ox-html hides /usr/local/Cellar/emacs-plus/HEAD-5dd0e5c/share/emacs/26.0.91/lisp/org/ox-html
/Users/aaronjensen/.emacs.d/elpa/26.0/develop/org-plus-contrib-20180212/org-src hides /usr/local/Cellar/emacs-plus/HEAD-5dd0e5c/share/emacs/26.0.91/lisp/org/org-src
/Users/aaronjensen/.emacs.d/elpa/26.0/develop/org-plus-contrib-20180212/ob-lisp hides /usr/local/Cellar/emacs-plus/HEAD-5dd0e5c/share/emacs/26.0.91/lisp/org/ob-lisp
/Users/aaronjensen/.emacs.d/elpa/26.0/develop/org-plus-contrib-20180212/ob-ditaa hides /usr/local/Cellar/emacs-plus/HEAD-5dd0e5c/share/emacs/26.0.91/lisp/org/ob-ditaa
/Users/aaronjensen/.emacs.d/elpa/26.0/develop/org-plus-contrib-20180212/org-pcomplete hides /usr/local/Cellar/emacs-plus/HEAD-5dd0e5c/share/emacs/26.0.91/lisp/org/org-pcomplete
/Users/aaronjensen/.emacs.d/elpa/26.0/develop/org-plus-contrib-20180212/org-lint hides /usr/local/Cellar/emacs-plus/HEAD-5dd0e5c/share/emacs/26.0.91/lisp/org/org-lint
/Users/aaronjensen/.emacs.d/elpa/26.0/develop/org-plus-contrib-20180212/org-rmail hides /usr/local/Cellar/emacs-plus/HEAD-5dd0e5c/share/emacs/26.0.91/lisp/org/org-rmail
/Users/aaronjensen/.emacs.d/elpa/26.0/develop/org-plus-contrib-20180212/ox-latex hides /usr/local/Cellar/emacs-plus/HEAD-5dd0e5c/share/emacs/26.0.91/lisp/org/ox-latex
/Users/aaronjensen/.emacs.d/elpa/26.0/develop/org-plus-contrib-20180212/ob-sass hides /usr/local/Cellar/emacs-plus/HEAD-5dd0e5c/share/emacs/26.0.91/lisp/org/ob-sass
/Users/aaronjensen/.emacs.d/elpa/26.0/develop/org-plus-contrib-20180212/ob-io hides /usr/local/Cellar/emacs-plus/HEAD-5dd0e5c/share/emacs/26.0.91/lisp/org/ob-io
/Users/aaronjensen/.emacs.d/elpa/26.0/develop/org-plus-contrib-20180212/ob-tangle hides /usr/local/Cellar/emacs-plus/HEAD-5dd0e5c/share/emacs/26.0.91/lisp/org/ob-tangle
/Users/aaronjensen/.emacs.d/elpa/26.0/develop/org-plus-contrib-20180212/ob-calc hides /usr/local/Cellar/emacs-plus/HEAD-5dd0e5c/share/emacs/26.0.91/lisp/org/ob-calc
/Users/aaronjensen/.emacs.d/elpa/26.0/develop/org-plus-contrib-20180212/ob-java hides /usr/local/Cellar/emacs-plus/HEAD-5dd0e5c/share/emacs/26.0.91/lisp/org/ob-java
/Users/aaronjensen/.emacs.d/elpa/26.0/develop/org-plus-contrib-20180212/ox-icalendar hides /usr/local/Cellar/emacs-plus/HEAD-5dd0e5c/share/emacs/26.0.91/lisp/org/ox-icalendar
/Users/aaronjensen/.emacs.d/elpa/26.0/develop/org-plus-contrib-20180212/org-eww hides /usr/local/Cellar/emacs-plus/HEAD-5dd0e5c/share/emacs/26.0.91/lisp/org/org-eww
/Users/aaronjensen/.emacs.d/elpa/26.0/develop/org-plus-contrib-20180212/ox-md hides /usr/local/Cellar/emacs-plus/HEAD-5dd0e5c/share/emacs/26.0.91/lisp/org/ox-md
/Users/aaronjensen/.emacs.d/elpa/26.0/develop/org-plus-contrib-20180212/ox-beamer hides /usr/local/Cellar/emacs-plus/HEAD-5dd0e5c/share/emacs/26.0.91/lisp/org/ox-beamer
/Users/aaronjensen/.emacs.d/elpa/26.0/develop/org-plus-contrib-20180212/org-element hides /usr/local/Cellar/emacs-plus/HEAD-5dd0e5c/share/emacs/26.0.91/lisp/org/org-element
/Users/aaronjensen/.emacs.d/elpa/26.0/develop/org-plus-contrib-20180212/org-protocol hides /usr/local/Cellar/emacs-plus/HEAD-5dd0e5c/share/emacs/26.0.91/lisp/org/org-protocol
/Users/aaronjensen/.emacs.d/elpa/26.0/develop/org-plus-contrib-20180212/ob-mscgen hides /usr/local/Cellar/emacs-plus/HEAD-5dd0e5c/share/emacs/26.0.91/lisp/org/ob-mscgen
/Users/aaronjensen/.emacs.d/elpa/26.0/develop/org-plus-contrib-20180212/ob-gnuplot hides /usr/local/Cellar/emacs-plus/HEAD-5dd0e5c/share/emacs/26.0.91/lisp/org/ob-gnuplot
/Users/aaronjensen/.emacs.d/elpa/26.0/develop/org-plus-contrib-20180212/ob-latex hides /usr/local/Cellar/emacs-plus/HEAD-5dd0e5c/share/emacs/26.0.91/lisp/org/ob-latex
/Users/aaronjensen/.emacs.d/elpa/26.0/develop/org-plus-contrib-20180212/org-id hides /usr/local/Cellar/emacs-plus/HEAD-5dd0e5c/share/emacs/26.0.91/lisp/org/org-id
/Users/aaronjensen/.emacs.d/elpa/26.0/develop/org-plus-contrib-20180212/ob-vala hides /usr/local/Cellar/emacs-plus/HEAD-5dd0e5c/share/emacs/26.0.91/lisp/org/ob-vala
/Users/aaronjensen/.emacs.d/elpa/26.0/develop/org-plus-contrib-20180212/ox-man hides /usr/local/Cellar/emacs-plus/HEAD-5dd0e5c/share/emacs/26.0.91/lisp/org/ox-man
/Users/aaronjensen/.emacs.d/elpa/26.0/develop/org-plus-contrib-20180212/org-feed hides /usr/local/Cellar/emacs-plus/HEAD-5dd0e5c/share/emacs/26.0.91/lisp/org/org-feed
/Users/aaronjensen/.emacs.d/elpa/26.0/develop/org-plus-contrib-20180212/ob-lua hides /usr/local/Cellar/emacs-plus/HEAD-5dd0e5c/share/emacs/26.0.91/lisp/org/ob-lua
/Users/aaronjensen/.emacs.d/elpa/26.0/develop/org-plus-contrib-20180212/ob-table hides /usr/local/Cellar/emacs-plus/HEAD-5dd0e5c/share/emacs/26.0.91/lisp/org/ob-table
/Users/aaronjensen/.emacs.d/elpa/26.0/develop/org-plus-contrib-20180212/ob-ocaml hides /usr/local/Cellar/emacs-plus/HEAD-5dd0e5c/share/emacs/26.0.91/lisp/org/ob-ocaml
/Users/aaronjensen/.emacs.d/elpa/26.0/develop/org-plus-contrib-20180212/ob-coq hides /usr/local/Cellar/emacs-plus/HEAD-5dd0e5c/share/emacs/26.0.91/lisp/org/ob-coq
/Users/aaronjensen/.emacs.d/elpa/26.0/develop/org-plus-contrib-20180212/ob-picolisp hides /usr/local/Cellar/emacs-plus/HEAD-5dd0e5c/share/emacs/26.0.91/lisp/org/ob-picolisp
/Users/aaronjensen/.emacs.d/elpa/26.0/develop/org-plus-contrib-20180212/org-indent hides /usr/local/Cellar/emacs-plus/HEAD-5dd0e5c/share/emacs/26.0.91/lisp/org/org-indent
/Users/aaronjensen/.emacs.d/elpa/26.0/develop/org-plus-contrib-20180212/ob-lilypond hides /usr/local/Cellar/emacs-plus/HEAD-5dd0e5c/share/emacs/26.0.91/lisp/org/ob-lilypond
/Users/aaronjensen/.emacs.d/elpa/26.0/develop/org-plus-contrib-20180212/ob-matlab hides /usr/local/Cellar/emacs-plus/HEAD-5dd0e5c/share/emacs/26.0.91/lisp/org/ob-matlab
/Users/aaronjensen/.emacs.d/elpa/26.0/develop/org-plus-contrib-20180212/org-datetree hides /usr/local/Cellar/emacs-plus/HEAD-5dd0e5c/share/emacs/26.0.91/lisp/org/org-datetree
/Users/aaronjensen/.emacs.d/elpa/26.0/develop/org-plus-contrib-20180212/ob-python hides /usr/local/Cellar/emacs-plus/HEAD-5dd0e5c/share/emacs/26.0.91/lisp/org/ob-python
/Users/aaronjensen/.emacs.d/elpa/26.0/develop/org-plus-contrib-20180212/org-bbdb hides /usr/local/Cellar/emacs-plus/HEAD-5dd0e5c/share/emacs/26.0.91/lisp/org/org-bbdb
/Users/aaronjensen/.emacs.d/elpa/26.0/develop/org-plus-contrib-20180212/ob-makefile hides /usr/local/Cellar/emacs-plus/HEAD-5dd0e5c/share/emacs/26.0.91/lisp/org/ob-makefile
/Users/aaronjensen/.emacs.d/elpa/26.0/develop/org-plus-contrib-20180212/org-duration hides /usr/local/Cellar/emacs-plus/HEAD-5dd0e5c/share/emacs/26.0.91/lisp/org/org-duration
/Users/aaronjensen/.emacs.d/elpa/26.0/develop/org-plus-contrib-20180212/org-agenda hides /usr/local/Cellar/emacs-plus/HEAD-5dd0e5c/share/emacs/26.0.91/lisp/org/org-agenda
/Users/aaronjensen/.emacs.d/elpa/26.0/develop/org-plus-contrib-20180212/ob-dot hides /usr/local/Cellar/emacs-plus/HEAD-5dd0e5c/share/emacs/26.0.91/lisp/org/ob-dot
/Users/aaronjensen/.emacs.d/elpa/26.0/develop/org-plus-contrib-20180212/ob-js hides /usr/local/Cellar/emacs-plus/HEAD-5dd0e5c/share/emacs/26.0.91/lisp/org/ob-js
/Users/aaronjensen/.emacs.d/elpa/26.0/develop/org-plus-contrib-20180212/ox-publish hides /usr/local/Cellar/emacs-plus/HEAD-5dd0e5c/share/emacs/26.0.91/lisp/org/ox-publish
/Users/aaronjensen/.emacs.d/elpa/26.0/develop/org-plus-contrib-20180212/org-inlinetask hides /usr/local/Cellar/emacs-plus/HEAD-5dd0e5c/share/emacs/26.0.91/lisp/org/org-inlinetask
/Users/aaronjensen/.emacs.d/elpa/26.0/develop/org-plus-contrib-20180212/ob-org hides /usr/local/Cellar/emacs-plus/HEAD-5dd0e5c/share/emacs/26.0.91/lisp/org/ob-org
/Users/aaronjensen/.emacs.d/elpa/26.0/develop/org-plus-contrib-20180212/ob-core hides /usr/local/Cellar/emacs-plus/HEAD-5dd0e5c/share/emacs/26.0.91/lisp/org/ob-core
/Users/aaronjensen/.emacs.d/elpa/26.0/develop/org-plus-contrib-20180212/org-compat hides /usr/local/Cellar/emacs-plus/HEAD-5dd0e5c/share/emacs/26.0.91/lisp/org/org-compat
/Users/aaronjensen/.emacs.d/elpa/26.0/develop/org-plus-contrib-20180212/org-docview hides /usr/local/Cellar/emacs-plus/HEAD-5dd0e5c/share/emacs/26.0.91/lisp/org/org-docview
/Users/aaronjensen/.emacs.d/elpa/26.0/develop/org-plus-contrib-20180212/ox-odt hides /usr/local/Cellar/emacs-plus/HEAD-5dd0e5c/share/emacs/26.0.91/lisp/org/ox-odt
/Users/aaronjensen/.emacs.d/elpa/26.0/develop/org-plus-contrib-20180212/ob-plantuml hides /usr/local/Cellar/emacs-plus/HEAD-5dd0e5c/share/emacs/26.0.91/lisp/org/ob-plantuml
/Users/aaronjensen/.emacs.d/elpa/26.0/develop/org-plus-contrib-20180212/ox-ascii hides /usr/local/Cellar/emacs-plus/HEAD-5dd0e5c/share/emacs/26.0.91/lisp/org/ox-ascii
/Users/aaronjensen/.emacs.d/elpa/26.0/develop/org-plus-contrib-20180212/org-loaddefs hides /usr/local/Cellar/emacs-plus/HEAD-5dd0e5c/share/emacs/26.0.91/lisp/org/org-loaddefs
/Users/aaronjensen/.emacs.d/elpa/26.0/develop/org-plus-contrib-20180212/org-w3m hides /usr/local/Cellar/emacs-plus/HEAD-5dd0e5c/share/emacs/26.0.91/lisp/org/org-w3m
/Users/aaronjensen/.emacs.d/elpa/26.0/develop/org-plus-contrib-20180212/org-bibtex hides /usr/local/Cellar/emacs-plus/HEAD-5dd0e5c/share/emacs/26.0.91/lisp/org/org-bibtex
/Users/aaronjensen/.emacs.d/elpa/26.0/develop/org-plus-contrib-20180212/org-info hides /usr/local/Cellar/emacs-plus/HEAD-5dd0e5c/share/emacs/26.0.91/lisp/org/org-info
/Users/aaronjensen/.emacs.d/elpa/26.0/develop/org-plus-contrib-20180212/ob-hledger hides /usr/local/Cellar/emacs-plus/HEAD-5dd0e5c/share/emacs/26.0.91/lisp/org/ob-hledger
/Users/aaronjensen/.emacs.d/elpa/26.0/develop/org-plus-contrib-20180212/ob-maxima hides /usr/local/Cellar/emacs-plus/HEAD-5dd0e5c/share/emacs/26.0.91/lisp/org/ob-maxima
/Users/aaronjensen/.emacs.d/elpa/26.0/develop/org-plus-contrib-20180212/org hides /usr/local/Cellar/emacs-plus/HEAD-5dd0e5c/share/emacs/26.0.91/lisp/org/org
/Users/aaronjensen/.emacs.d/elpa/26.0/develop/org-plus-contrib-20180212/org-macro hides /usr/local/Cellar/emacs-plus/HEAD-5dd0e5c/share/emacs/26.0.91/lisp/org/org-macro
/Users/aaronjensen/.emacs.d/elpa/26.0/develop/org-plus-contrib-20180212/ob-sql hides /usr/local/Cellar/emacs-plus/HEAD-5dd0e5c/share/emacs/26.0.91/lisp/org/ob-sql
/Users/aaronjensen/.emacs.d/elpa/26.0/develop/org-plus-contrib-20180212/org-attach hides /usr/local/Cellar/emacs-plus/HEAD-5dd0e5c/share/emacs/26.0.91/lisp/org/org-attach
/Users/aaronjensen/.emacs.d/elpa/26.0/develop/org-plus-contrib-20180212/ob-processing hides /usr/local/Cellar/emacs-plus/HEAD-5dd0e5c/share/emacs/26.0.91/lisp/org/ob-processing
/Users/aaronjensen/.emacs.d/elpa/26.0/develop/org-plus-contrib-20180212/ox-texinfo hides /usr/local/Cellar/emacs-plus/HEAD-5dd0e5c/share/emacs/26.0.91/lisp/org/ox-texinfo
/Users/aaronjensen/.emacs.d/elpa/26.0/develop/org-plus-contrib-20180212/org-irc hides /usr/local/Cellar/emacs-plus/HEAD-5dd0e5c/share/emacs/26.0.91/lisp/org/org-irc
/Users/aaronjensen/.emacs.d/elpa/26.0/develop/org-plus-contrib-20180212/org-crypt hides /usr/local/Cellar/emacs-plus/HEAD-5dd0e5c/share/emacs/26.0.91/lisp/org/org-crypt
/Users/aaronjensen/.emacs.d/elpa/26.0/develop/org-plus-contrib-20180212/org-footnote hides /usr/local/Cellar/emacs-plus/HEAD-5dd0e5c/share/emacs/26.0.91/lisp/org/org-footnote
/Users/aaronjensen/.emacs.d/elpa/26.0/develop/org-plus-contrib-20180212/org-install hides /usr/local/Cellar/emacs-plus/HEAD-5dd0e5c/share/emacs/26.0.91/lisp/org/org-install
/Users/aaronjensen/.emacs.d/elpa/26.0/develop/org-plus-contrib-20180212/ob-comint hides /usr/local/Cellar/emacs-plus/HEAD-5dd0e5c/share/emacs/26.0.91/lisp/org/ob-comint
/Users/aaronjensen/.emacs.d/elpa/26.0/develop/org-plus-contrib-20180212/ob-shen hides /usr/local/Cellar/emacs-plus/HEAD-5dd0e5c/share/emacs/26.0.91/lisp/org/ob-shen

Features:
(shadow sort mail-extr emacsbug sendmail smex appt diary-lib
diary-loaddefs org-duration epa-file org-agenda executable pp
company-emoji company-emoji-list org-eldoc evil-org org-table ob-shell
ob-ruby org-bullets org-download toc-org org-indent image-file org-rmail
org-mhe org-irc org-info org-gnus nnir gnus-sum gnus-group gnus-undo
gnus-start gnus-cloud nnimap nnmail mail-source utf7 netrc nnoo
gnus-spec gnus-int gnus-range gnus-win gnus nnheader org-docview
doc-view jka-compr org-bibtex bibtex org-bbdb org-w3m org-checklist
org-inlinetask org-gcal org-archive smartparens-org ob-elixir ob-http
ob-http-mode ob-restclient restclient ox-gfm ox-md ox-reveal ox-odt
rng-loc rng-uri rng-parse rng-match rng-dt rng-util rng-pttrn nxml-parse
nxml-ns nxml-enc xmltok nxml-util ox-latex ox-icalendar ox-html table
ox-ascii ox-publish ox orgit org-element avl-tree generator magithub
magithub-dash magithub-notification magithub-issue-view magithub-comment
magithub-repo magithub-orgs magithub-issue-tricks magithub-issue-post
magithub-edit-mode magithub-ci magithub-issue magithub-label
magithub-user magithub-core magithub-faces magithub-settings
smartparens-markdown markdown-mode ghub+ apiwrap apropos evil-magit
git-rebase magit-gh-pulls gh gh-users gh-issues gh-pulls gh-repos
gh-comments gh-gist gh-oauth gh-api logito gh-cache gh-auth gh-url
magit-obsolete magit-blame magit-stash magit-bisect magit-remote
magit-commit magit-sequence magit-notes magit-worktree magit-tag
magit-merge magit-branch magit-reset magit-collab ghub magit-files
magit-refs magit-status magit magit-repos magit-apply magit-wip
magit-log magit-diff smerge-mode magit-core magit-autorevert
magit-process magit-margin magit-mode org org-macro org-footnote
org-pcomplete org-list org-faces org-entities org-version ob-emacs-lisp
ob ob-tangle org-src ob-ref ob-lob ob-table ob-keys ob-exp ob-comint
ob-core ob-eval org-compat org-macs org-loaddefs cal-menu calendar
cal-loaddefs request-deferred deferred request alert log4e notifications
dbus xml gntp shrink-path open-junk-file company-statistics
company-files company-keywords company-dabbrev-code company-dabbrev
company-capf company-childframe posframe company overseer pkg-info epl
auto-compile packed elisp-slime-nav eros flycheck-package package-lint
finder lispyville lispy iedit iedit-lib lispy-inline avy semantic/db
semantic/util-modes semantic/util semantic semantic/tag semantic/lex
semantic/fw mode-local cedet evil-ediff ediff-merg ediff-wind ediff-diff
ediff-mult ediff-help ediff-init ediff-util ediff edebug lispy-tags
nameless auto-highlight-symbol highlight-numbers parent-mode
highlight-parentheses hideshow rainbow-delimiters yasnippet-snippets
yasnippet editorconfig-core editorconfig-core-handle
editorconfig-fnmatch wgrep colir misearch multi-isearch
git-gutter-fringe+ fringe-helper git-gutter+ git-commit with-editor
magit-git magit-section magit-utils crm magit-popup async-bytecomp async
log-edit pcvs-util add-log recentf tree-widget desktop frameset
face-remap auto-dim-other-buffers wakatime-mode contextual-menubar
quiet-emacs fill-or-unfill init-macos-terminal-copy-paste init-flyspell
init-terminal-cursor evil-terminal-cursor-changer color init-org
init-magit evil-mc evil-mc-command-execute evil-mc-command-record
evil-mc-cursor-make evil-mc-region evil-mc-cursor-state evil-mc-undo
evil-mc-vars evil-mc-known-commands evil-mc-common hl-todo
persistent-soft list-utils pcache eieio-base font-utils server zone
spacemacs-whitespace-cleanup ws-butler winum winner
spacemacs-purpose-popwin window-purpose-x imenu-list imenu
window-purpose window-purpose-fixes window-purpose-prefix-overload
window-purpose-switch window-purpose-layout window-purpose-core
window-purpose-configuration window-purpose-utils volatile-highlights
vi-tilde-fringe unicode-fonts tmux string-inflection smartparens-config
smartparens-text smartparens-ruby saveplace savehist ruby-test-mode
pcre2el rxt re-builder projectile-rails rake inflections inf-ruby
ruby-mode smie projectile grep ibuf-ext ibuffer ibuffer-loaddefs popwin
persp-mode osx-trash origami origami-parsers linum ivy-hydra info+
image-mode flycheck-pos-tip pos-tip flycheck-flow flycheck find-func
flx-ido eyebrowse evil-surround evil-search-highlight-persist
evil-numbers evil-lisp-state smartparens evil-lion evil-indent-plus
evil-exchange evil-escape evil-args eval-sexp-fu highlight font-lock+
frame-fns avoid eterm-256color f term ehelp xterm-color editorconfig
noutline outline dtrt-indent doom-modeline let-alist evil-anzu anzu
all-the-icons all-the-icons-faces data-material data-weathericons
data-octicons data-fileicons data-faicons data-alltheicons memoize
diff-hl vc-dir ewoc vc vc-dispatcher counsel esh-util etags xref project
swiper ivy flx delsel ivy-overlay ffap clean-aindent-mode adaptive-wrap
gh-common gh-profile s marshal dash rx docker-tramp tramp-cache
hybrid-mode exec-path-from-shell evil-evilified-state which-key
use-package use-package-ensure use-package-delight use-package-diminish
use-package-bind-key bind-key use-package-core hydra lv cus-edit
cus-start cus-load evil evil-integration undo-tree diff evil-maps
evil-commands reveal flyspell ispell evil-jumps evil-command-window
evil-types evil-search evil-ex evil-macros evil-repeat evil-states
evil-core evil-common windmove evil-digraphs diminish evil-vars bind-map
mc-hide-unmatched-lines-mode mc-separate-operations
rectangular-region-mode mc-mark-pop mc-cycle-cursors mc-edit-lines
mc-mark-more multiple-cursors-core rect compile vc-git diff-mode
goto-addr thingatpt bug-reference elec-pair autoload tar-mode mm-archive
message dired dired-loaddefs rfc822 mml mml-sec epa gnus-util rmail
rmail-loaddefs mailabbrev gmm-utils mailheader mail-utils network-stream
starttls url-http tls gnutls url-gw nsm rmc puny url-cache url-auth url
url-proxy url-privacy url-expand url-methods url-history url-cookie
url-domsuf url-util mailcap quelpa help-fns radix-tree package-build
mm-decode mm-bodies mm-encode mail-parse rfc2231 rfc2047 rfc2045 mm-util
ietf-drums mail-prsvr json map lisp-mnt hl-line xt-mouse autorevert
filenotify cl-extra disp-table wid-edit monokai-theme info finder-inf
patch-server init-sass init-php init-html init-evil tramp tramp-compat
tramp-loaddefs trampver shell pcomplete comint ansi-color ring
parse-time format-spec ido-vertical-mode ido core-spacemacs
core-use-package-ext core-transient-state core-micro-state core-toggle
core-keybindings core-fonts-support core-themes-support
core-display-init core-jump core-release-management core-custom-settings
core-configuration-layer eieio-compat core-spacemacs-buffer core-funcs
core-dotspacemacs ht cl help-mode warnings package url-handlers
url-parse auth-source cl-seq password-cache url-vars seq eieio byte-opt
bytecomp byte-compile cconv eieio-core eieio-loaddefs epg epg-config
core-command-line pcase core-debug edmacro kmacro derived cl-macs gv
advice profiler easymenu cl-loaddefs cl-lib page-break-lines easy-mmode
core-emacs-backports subr-x time-date tooltip eldoc electric uniquify
ediff-hook vc-hooks lisp-float-type mwheel term/ns-win ns-win
ucs-normalize mule-util term/common-win tool-bar dnd fontset image
regexp-opt fringe tabulated-list replace newcomment text-mode elisp-mode
lisp-mode prog-mode register page menu-bar rfn-eshadow isearch timer
select scroll-bar mouse jit-lock font-lock syntax facemenu font-core
term/tty-colors frame cl-generic cham georgian utf-8-lang misc-lang
vietnamese tibetan thai tai-viet lao korean japanese eucjp-ms cp51932
hebrew greek romanian slovak czech european ethiopic indian cyrillic
chinese composite charscript charprop case-table epa-hook jka-cmpr-hook
help simple abbrev obarray minibuffer cl-preloaded nadvice loaddefs
button faces cus-face macroexp files text-properties overlay sha1 md5
base64 format env code-pages mule custom widget hashtable-print-readable
backquote kqueue cocoa ns lcms2 multi-tty make-network-process emacs)

Memory information:
((conses 16 1614322 438473)
 (symbols 48 85776 4)
 (miscs 40 5453 3900)
 (strings 32 300737 52384)
 (string-bytes 1 10118417)
 (vectors 16 145623)
 (vector-slots 8 3163720 179780)
 (floats 8 1008 974)
 (intervals 56 77217 5788)
 (buffers 992 63))




Message sent:


Content-Disposition: inline
Content-Transfer-Encoding: quoted-printable
MIME-Version: 1.0
X-Mailer: MIME-tools 5.505 (Entity 5.505)
Content-Type: text/plain; charset=utf-8
X-Loop: help-debbugs@HIDDEN
From: help-debbugs@HIDDEN (GNU bug Tracking System)
To: Aaron Jensen <aaronjensen@HIDDEN>
Subject: bug#30457: Acknowledgement (26.0.91; bidi-display-reordering
 makes navigation around melpa/archive-contents slow)
Message-ID: <handler.30457.B.15186270256520.ack <at> debbugs.gnu.org>
References: <m2lgfviki1.fsf@HIDDEN>
X-Gnu-PR-Message: ack 30457
X-Gnu-PR-Package: emacs
Reply-To: 30457 <at> debbugs.gnu.org
Date: Wed, 14 Feb 2018 16:51:02 +0000

Thank you for filing a new bug report with debbugs.gnu.org.

This is an automatically generated reply to let you know your message
has been received.

Your message is being forwarded to the package maintainers and other
interested parties for their attention; they will reply in due course.

Your message has been sent to the package maintainer(s):
 bug-gnu-emacs@HIDDEN

If you wish to submit further information on this problem, please
send it to 30457 <at> debbugs.gnu.org.

Please do not send mail to help-debbugs@HIDDEN unless you wish
to report a problem with the Bug-tracking system.

--=20
30457: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=3D30457
GNU Bug Tracking System
Contact help-debbugs@HIDDEN with problems


Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#30457: 26.0.91; bidi-display-reordering makes navigation around melpa/archive-contents slow
Resent-From: Eli Zaretskii <eliz@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Wed, 14 Feb 2018 18:41:01 +0000
Resent-Message-ID: <handler.30457.B30457.151863362616433 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 30457
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: Aaron Jensen <aaronjensen@HIDDEN>
Cc: 30457 <at> debbugs.gnu.org
Reply-To: Eli Zaretskii <eliz@HIDDEN>
Received: via spool by 30457-submit <at> debbugs.gnu.org id=B30457.151863362616433
          (code B ref 30457); Wed, 14 Feb 2018 18:41:01 +0000
Received: (at 30457) by debbugs.gnu.org; 14 Feb 2018 18:40:26 +0000
Received: from localhost ([127.0.0.1]:43151 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1em1yk-0004Gz-BU
	for submit <at> debbugs.gnu.org; Wed, 14 Feb 2018 13:40:26 -0500
Received: from eggs.gnu.org ([208.118.235.92]:48846)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1em1yj-0004Gm-53
 for 30457 <at> debbugs.gnu.org; Wed, 14 Feb 2018 13:40:25 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eliz@HIDDEN>) id 1em1ya-0004Z5-Oc
 for 30457 <at> debbugs.gnu.org; Wed, 14 Feb 2018 13:40:19 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,T_RP_MATCHES_RCVD
 autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:42351)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1em1ya-0004Yx-Cr; Wed, 14 Feb 2018 13:40:16 -0500
Received: from [176.228.60.248] (port=1322 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1em1yZ-0001uk-Rf; Wed, 14 Feb 2018 13:40:16 -0500
Date: Wed, 14 Feb 2018 20:40:10 +0200
Message-Id: <83tvujwh2t.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
In-reply-to: <m2lgfviki1.fsf@HIDDEN> (message from Aaron Jensen on Wed, 14
 Feb 2018 08:49:58 -0800)
References: <m2lgfviki1.fsf@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

> From: Aaron Jensen <aaronjensen@HIDDEN>
> Date: Wed, 14 Feb 2018 08:49:58 -0800
> 
> In this thread, Eli asked for a real world repro where
> bidi-display-reordering slows down emacs:
> https://www.reddit.com/r/emacs/comments/7wezb4/how_can_i_make_line_rendering_faster/
> 
> I found that today, so I wanted to report it.
> 
> Download: https://melpa.org/packages/archive-contents
> 
> emacs -Q archive-contents
> 
> Press and hold C-n (I have a very fast key repeat rate)
> 
> On my machine, it takes about 13 seconds to get to the bottom of the
> window (where it first scrolls, not the bottom of the buffer, I don't
> have the patience for that).
> 
> (setq bidi-display-reordering nil)
> 
> Press and hold C-n
> 
> On my machine, it takes about 1 second to get to the bottom of the
> window.

It's a 870K line with multi-level parentheses.  As already mentioned
there, the BPA implementation that is part of the bidi reordering
makes this sluggish due to the many parentheses in such a long line.
(However, it's nowhere near 13 sec on my box.  And going several lines
in one go, as in "C-u 20 C-n", makes it even faster.)

> I hope that this is a compelling enough use-case. I don't believe I have
> a use-case for it to be `t` right now, so I'll be setting it to `nil` by
> default in my config

Beware: the code which is used when bidi-display-reordering is nil is
unsupported since Emacs 24, so you are on your own when using it.  I
urge you to reconsider.




Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#30457: 26.0.91; bidi-display-reordering makes navigation around melpa/archive-contents slow
Resent-From: Aaron Jensen <aaronjensen@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Wed, 14 Feb 2018 19:23:02 +0000
Resent-Message-ID: <handler.30457.B30457.151863616520357 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 30457
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: Eli Zaretskii <eliz@HIDDEN>
Cc: 30457 <at> debbugs.gnu.org
Received: via spool by 30457-submit <at> debbugs.gnu.org id=B30457.151863616520357
          (code B ref 30457); Wed, 14 Feb 2018 19:23:02 +0000
Received: (at 30457) by debbugs.gnu.org; 14 Feb 2018 19:22:45 +0000
Received: from localhost ([127.0.0.1]:43183 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1em2dh-0005IH-DK
	for submit <at> debbugs.gnu.org; Wed, 14 Feb 2018 14:22:45 -0500
Received: from mail-qt0-f174.google.com ([209.85.216.174]:44879)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <aaronjensen@HIDDEN>) id 1em2df-0005I3-5o
 for 30457 <at> debbugs.gnu.org; Wed, 14 Feb 2018 14:22:43 -0500
Received: by mail-qt0-f174.google.com with SMTP id f18so9064967qth.11
 for <30457 <at> debbugs.gnu.org>; Wed, 14 Feb 2018 11:22:43 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:in-reply-to:references:from:date:message-id:subject:to
 :cc; bh=VMQTq4oDnZXIWIdtWJ8LkDQWvGn5QJ9GwszrfpuXj+o=;
 b=mw5aRTDJTXGQ4QinLoHmd8hB31+OB2TZUc/zwC5vCNebbdGCe8pLA6p7vONPQNlNMo
 g3Pqfa8BWOV1a5HR3xznV6ADTAJgiDAPuKCX0Mn+VD4hbviCG5TZilLmYH988FyPVtsD
 KBPRbkLmV5/pfKUObuG5obpsgp/fo/DVvl0Rqiw/BT3nUspHuiVHdFrAWc5HAeR5eVSM
 WHkZWQbWcWd2dqa05H0PXBICrsrKn/WSO2qtvSkOG7w+fYvIimhfC7HChONING5qlpvx
 3cXESFy8lm5u6TBDcPubMELWOMBTkF3pydyEhN8wOFRD7QnsZk0GK+IK6CqmImYjXUIc
 Ouow==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:in-reply-to:references:from:date
 :message-id:subject:to:cc;
 bh=VMQTq4oDnZXIWIdtWJ8LkDQWvGn5QJ9GwszrfpuXj+o=;
 b=eR6pauTSrGqky8Y82Blaho7yLNQeIhRsD8c+GsPV34+P/Kv+myfP447ks8XiQ+u5Bh
 kju9ZrbIk4KGVQV+1FhNeJMcbsbsVIijEh933OlAZ3wD0fDDe6/oVQWKLZVsKmwHinmF
 9prPOMB9FE2w25UXdOgVhvvI5l3v/x4Vo9/M3V3/3r4fxzx/gZD6BFEg3u/icjsXtL+g
 qIP0KfGEz2XHLYKe9gzFuPem82eCUg6GTZpzyPN6xBuLkspEAMo1nLUJoU2bsNo0lHpo
 nzpfA2t03G5xVW6EiZbkeiFd5uEmeSdwzjii4aK81fZcnQiA3Jb9YTSPRwsCbOpAKl9X
 h//g==
X-Gm-Message-State: APf1xPA3IqTcsMN6DYEAY2LB2UI71TJE/1vGjE8W+kSbitk8NToRQUX7
 D0+KPaWmJvQhG2iHm0aFjuDmT5wA6CtlVXX1xZMkIF7R
X-Google-Smtp-Source: AH8x226mJb97M2xS3tNmYe+Mz32CqmLWJ5h01+1raFYJZky+g2Dv1dpgtz3OEHoqZdJWnRv+jqP+j8vtPV0pGbXstaw=
X-Received: by 10.200.27.172 with SMTP id z41mr266915qtj.58.1518636157648;
 Wed, 14 Feb 2018 11:22:37 -0800 (PST)
MIME-Version: 1.0
Received: by 10.237.54.65 with HTTP; Wed, 14 Feb 2018 11:22:37 -0800 (PST)
In-Reply-To: <83tvujwh2t.fsf@HIDDEN>
References: <m2lgfviki1.fsf@HIDDEN> <83tvujwh2t.fsf@HIDDEN>
From: Aaron Jensen <aaronjensen@HIDDEN>
Date: Wed, 14 Feb 2018 11:22:37 -0800
Message-ID: <CAHyO48w=AxU8t14ThDWjkOLJvdHehn0miducqEKMp-AChf0TxQ@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: -0.0 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.0 (/)

On Wed, Feb 14, 2018 at 10:40 AM, Eli Zaretskii <eliz@HIDDEN> wrote:
> It's a 870K line with multi-level parentheses.  As already mentioned
> there, the BPA implementation that is part of the bidi reordering
> makes this sluggish due to the many parentheses in such a long line.

Yes, it's also a real use-case that I encountered today while trying
to figure out why a package was getting installed (I'm sure there's a
better way to do this... but that's not the point). It's not just line
scrolling, it's most any manipulation/navigation of the buffer. Emacs
has definitely sped up in the last year and I'm quite pleased with
that, but this is still one area that it's rather sluggish.  I do
experience sluggishness in other instances as well with long lines,
but this is the example I have today.

> (However, it's nowhere near 13 sec on my box.

Are you on a mac? It seems we're slower than linux still... Is there a
way to check to see if I was compiled w/ optimizations? I used the
emacs-plus recipe on homebrew.

> And going several lines
> in one go, as in "C-u 20 C-n", makes it even faster.)

Sure, but everything has a latency and these sort of workaround don't
really solve the overall feel problem. It feels like I'm working over
ssh to a server in another country and the difference when bidi is
disabled is incredible.

> Beware: the code which is used when bidi-display-reordering is nil is
> unsupported since Emacs 24, so you are on your own when using it.  I
> urge you to reconsider.

I didn't know this, I'm not sure what it means in practice. Perhaps
I'll turn it back to t for now and just have that in my bag of tricks
if I encounter a file that has this problem.

Thanks,

Aaron




Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#30457: 26.0.91; bidi-display-reordering makes navigation around melpa/archive-contents slow
Resent-From: Eli Zaretskii <eliz@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Wed, 14 Feb 2018 19:52:01 +0000
Resent-Message-ID: <handler.30457.B30457.151863789922894 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 30457
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: Aaron Jensen <aaronjensen@HIDDEN>
Cc: 30457 <at> debbugs.gnu.org
Reply-To: Eli Zaretskii <eliz@HIDDEN>
Received: via spool by 30457-submit <at> debbugs.gnu.org id=B30457.151863789922894
          (code B ref 30457); Wed, 14 Feb 2018 19:52:01 +0000
Received: (at 30457) by debbugs.gnu.org; 14 Feb 2018 19:51:39 +0000
Received: from localhost ([127.0.0.1]:43199 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1em35f-0005xC-C8
	for submit <at> debbugs.gnu.org; Wed, 14 Feb 2018 14:51:39 -0500
Received: from eggs.gnu.org ([208.118.235.92]:35250)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1em35d-0005wy-Bp
 for 30457 <at> debbugs.gnu.org; Wed, 14 Feb 2018 14:51:37 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eliz@HIDDEN>) id 1em35U-0001Uh-6E
 for 30457 <at> debbugs.gnu.org; Wed, 14 Feb 2018 14:51:32 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,T_RP_MATCHES_RCVD
 autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:43575)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1em35U-0001Ub-22; Wed, 14 Feb 2018 14:51:28 -0500
Received: from [176.228.60.248] (port=1397 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1em35T-0004rk-HK; Wed, 14 Feb 2018 14:51:27 -0500
Date: Wed, 14 Feb 2018 21:51:22 +0200
Message-Id: <83mv0bwds5.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
In-reply-to: <CAHyO48w=AxU8t14ThDWjkOLJvdHehn0miducqEKMp-AChf0TxQ@HIDDEN>
 (message from Aaron Jensen on Wed, 14 Feb 2018 11:22:37 -0800)
References: <m2lgfviki1.fsf@HIDDEN> <83tvujwh2t.fsf@HIDDEN>
 <CAHyO48w=AxU8t14ThDWjkOLJvdHehn0miducqEKMp-AChf0TxQ@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

> From: Aaron Jensen <aaronjensen@HIDDEN>
> Date: Wed, 14 Feb 2018 11:22:37 -0800
> Cc: 30457 <at> debbugs.gnu.org
> 
> > (However, it's nowhere near 13 sec on my box.
> 
> Are you on a mac?

No, Windows.

> Is there a way to check to see if I was compiled w/ optimizations?

What is your value of system-configuration-options?

> > And going several lines
> > in one go, as in "C-u 20 C-n", makes it even faster.)
> 
> Sure, but everything has a latency and these sort of workaround don't
> really solve the overall feel problem. It feels like I'm working over
> ssh to a server in another country and the difference when bidi is
> disabled is incredible.

Only at the beginning of the file.  Try the same near the end, and you
will see that both are very slow: a single C-n or C-p takes about 2
sec with bidi-display-reordering at nil, and 4 to 5 sec with non-nil.
Not a very spectacular speedup.

> > Beware: the code which is used when bidi-display-reordering is nil is
> > unsupported since Emacs 24, so you are on your own when using it.  I
> > urge you to reconsider.
> 
> I didn't know this, I'm not sure what it means in practice.

It means that we kept the non-reordering code for testing purposes
only, so it is very rarely executed, and thus less reliable than the
rest of Emacs.

> Perhaps I'll turn it back to t for now and just have that in my bag
> of tricks if I encounter a file that has this problem.

Yes, that's what I recommend.




Message received at control <at> debbugs.gnu.org:


Received: (at control) by debbugs.gnu.org; 14 Feb 2018 19:55:32 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Feb 14 14:55:32 2018
Received: from localhost ([127.0.0.1]:43207 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1em39Q-00062x-5u
	for submit <at> debbugs.gnu.org; Wed, 14 Feb 2018 14:55:32 -0500
Received: from eggs.gnu.org ([208.118.235.92]:35991)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rgm@HIDDEN>) id 1em39O-00062k-4g
 for control <at> debbugs.gnu.org; Wed, 14 Feb 2018 14:55:30 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <rgm@HIDDEN>) id 1em39I-0003xm-Af
 for control <at> debbugs.gnu.org; Wed, 14 Feb 2018 14:55:25 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00,T_RP_MATCHES_RCVD
 autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:43655)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <rgm@HIDDEN>)
 id 1em39I-0003xY-3u
 for control <at> debbugs.gnu.org; Wed, 14 Feb 2018 14:55:24 -0500
Received: from rgm by fencepost.gnu.org with local (Exim 4.82)
 (envelope-from <rgm@HIDDEN>) id 1em39H-00059S-SU
 for control <at> debbugs.gnu.org; Wed, 14 Feb 2018 14:55:23 -0500
Subject: control message for bug 30457
To: <control <at> debbugs.gnu.org>
X-Mailer: mail (GNU Mailutils 2.99.98)
Message-Id: <E1em39H-00059S-SU@HIDDEN>
From: Glenn Morris <rgm@HIDDEN>
Date: Wed, 14 Feb 2018 14:55:23 -0500
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: control
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

merge 15555 30457




Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#30457: 26.0.91; bidi-display-reordering makes navigation around melpa/archive-contents slow
Resent-From: Noam Postavsky <npostavs@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Thu, 15 Feb 2018 01:50:02 +0000
Resent-Message-ID: <handler.30457.B30457.1518659349362 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 30457
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: Aaron Jensen <aaronjensen@HIDDEN>
Cc: 30457 <at> debbugs.gnu.org, Eli Zaretskii <eliz@HIDDEN>
Received: via spool by 30457-submit <at> debbugs.gnu.org id=B30457.1518659349362
          (code B ref 30457); Thu, 15 Feb 2018 01:50:02 +0000
Received: (at 30457) by debbugs.gnu.org; 15 Feb 2018 01:49:09 +0000
Received: from localhost ([127.0.0.1]:43492 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1em8fd-00005m-2P
	for submit <at> debbugs.gnu.org; Wed, 14 Feb 2018 20:49:09 -0500
Received: from mail-io0-f169.google.com ([209.85.223.169]:45371)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <npostavs@HIDDEN>) id 1em8fb-00005Z-Id
 for 30457 <at> debbugs.gnu.org; Wed, 14 Feb 2018 20:49:07 -0500
Received: by mail-io0-f169.google.com with SMTP id p188so27243646ioe.12
 for <30457 <at> debbugs.gnu.org>; Wed, 14 Feb 2018 17:49:07 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version;
 bh=24bpoCFrqpQWspuDnjOWMZXbSB1GkwPREGrjwBP+mtA=;
 b=fPY5JqHCb4qBIt4l36jCFOXrl04hp5sQRKGErCL2Y4GFV1U0uIcnmekj41de+TBBP6
 lZyRNg+UVBRwn3kTjdsYWWjxJuP3oXrZkwZspm+PYoYLrgroocmeZI0OsWwwCM+Z0CNC
 Re1SVavNZnYGtMqh3yDGWNaiDKF6xudVEZAZnZ0Z7V+GQn7YFk9bKNOUesV+bvpiezB9
 OtST1P79gCO6fca2ZsYYcEAT2jpLkMphgiQTnjOlqO2py0RGrWndCb0AegFbgUmD2uje
 qzRGvX5GOkRH51YQk7aamyZRypbAU7bt7WuzTpGmD61ENViP6QUHuy8Y+C+RYCChL3A4
 4V2Q==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version;
 bh=24bpoCFrqpQWspuDnjOWMZXbSB1GkwPREGrjwBP+mtA=;
 b=pHxA/GEDxnG+R0RE14hKiWBXVIrTB7bnuKp/a6ioIJR1+MIEf5e3aAezTF7uGDYk6f
 +dJ6Kz1Dlp7iOBd8Y4B929W5sCPzItv74kV+kKJ2W3SIUPf7IBegKkJXT+4qGlelcIfN
 Dkp+27wJupdRIHBSG2iudU3F9OE5Z1Tv2ebARhfdh051lCM5ntHJ72sliHYu35Hmvgkb
 gyh3BMC+C1nZht3B6TQTGxm0p6+DYNiAmErMtCYeXOonDo9C0VcCF8w6uR7+1TOOLxT2
 Ci3pkI+HIlsjCcMsJ4UHbp9p3D5Y3NwcgXBLE7woBloGKk4g/utaI+GlhqALWuT5Bm9Z
 fNYw==
X-Gm-Message-State: APf1xPBuXsva0IjkCH4gku7lm+bcLGs60E9RfUy+vgc1INl0srKkr4e2
 A+d/g4J+J1J1jxfOGZYp2xbNzg==
X-Google-Smtp-Source: AH8x226dcvLzSkqK6QmC8acXtK3lvPYFOzl+IDjv0gyrqLMi5FCptvJzKB3vHCdE0+ATslkl7m37vg==
X-Received: by 10.107.43.203 with SMTP id r194mr1606536ior.221.1518659341845; 
 Wed, 14 Feb 2018 17:49:01 -0800 (PST)
Received: from zebian (cbl-45-2-119-34.yyz.frontiernetworks.ca. [45.2.119.34])
 by smtp.googlemail.com with ESMTPSA id
 s32sm10944064ite.1.2018.02.14.17.49.00
 (version=TLS1_2 cipher=ECDHE-RSA-CHACHA20-POLY1305 bits=256/256);
 Wed, 14 Feb 2018 17:49:00 -0800 (PST)
From: Noam Postavsky <npostavs@HIDDEN>
References: <m2lgfviki1.fsf@HIDDEN> <83tvujwh2t.fsf@HIDDEN>
 <CAHyO48w=AxU8t14ThDWjkOLJvdHehn0miducqEKMp-AChf0TxQ@HIDDEN>
Date: Wed, 14 Feb 2018 20:48:59 -0500
In-Reply-To: <CAHyO48w=AxU8t14ThDWjkOLJvdHehn0miducqEKMp-AChf0TxQ@HIDDEN>
 (Aaron Jensen's message of "Wed, 14 Feb 2018 11:22:37 -0800")
Message-ID: <87a7wb81kk.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.0.90 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.0 (/)

Aaron Jensen <aaronjensen@HIDDEN> writes:

> I didn't know this, I'm not sure what it means in practice. Perhaps
> I'll turn it back to t for now and just have that in my bag of tricks
> if I encounter a file that has this problem.

Another workaround/trick for long-lines in cases where the line in
question is a big lisp expression

    M-: (pp-buffer) RET

(but only in Emacs 26; before that lisp indentation is quadratic in the
size of the expression, cf Bug#25122)




Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#30457: 26.0.91; bidi-display-reordering makes navigation around melpa/archive-contents slow
Resent-From: Aaron Jensen <aaronjensen@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Thu, 15 Feb 2018 03:08:02 +0000
Resent-Message-ID: <handler.30457.B30457.151866405729562 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 30457
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: Noam Postavsky <npostavs@HIDDEN>
Cc: 30457 <at> debbugs.gnu.org, Eli Zaretskii <eliz@HIDDEN>
Received: via spool by 30457-submit <at> debbugs.gnu.org id=B30457.151866405729562
          (code B ref 30457); Thu, 15 Feb 2018 03:08:02 +0000
Received: (at 30457) by debbugs.gnu.org; 15 Feb 2018 03:07:37 +0000
Received: from localhost ([127.0.0.1]:43539 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1em9tZ-0007gk-8O
	for submit <at> debbugs.gnu.org; Wed, 14 Feb 2018 22:07:37 -0500
Received: from mail-qk0-f175.google.com ([209.85.220.175]:35060)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <aaronjensen@HIDDEN>) id 1em9tX-0007gX-Ar
 for 30457 <at> debbugs.gnu.org; Wed, 14 Feb 2018 22:07:35 -0500
Received: by mail-qk0-f175.google.com with SMTP id c4so27015884qkm.2
 for <30457 <at> debbugs.gnu.org>; Wed, 14 Feb 2018 19:07:35 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:in-reply-to:references:from:date:message-id:subject:to
 :cc; bh=C45wN9AMs6ETfA0vk0POMnfTsf9CpQ7YBlKphzQuRFg=;
 b=HLHq1h4CxbGjjqaSnafzX/YbRW4uLsfYwppEez8KSGVJ2MGQuA7dZ2lCJhbkF2/N6A
 pVCNR+8GVP9hK9Owq/hBO1135bPA1VyriuKGGSeHOf95HvyM2Xgz3ZlpPTH/vjbfS8+v
 4eN6zajAgxuqeEYR4eEJ9qXBM6BiEAKvoan/Oita9sB/1RU+dAL98n1EtlqvI+sDJxBE
 EcAjjGI+TWHVWS26NE82POkAwF/bdIC/udvukgiytA64LGtjzo265ulBhKo3Bx0dKs4f
 BJn317MIgS/Lxxjbs55n5BaW428KUkIGXf35yPZwhUPmOm5DObT7bzbmULyhJo7jJ+vI
 WIWw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:in-reply-to:references:from:date
 :message-id:subject:to:cc;
 bh=C45wN9AMs6ETfA0vk0POMnfTsf9CpQ7YBlKphzQuRFg=;
 b=SkmqI8CffloW8F/P90ePZfswbWVqS757+AnzzPzhXE0c6h+U6jnldXnNMlOs/xmozB
 DlCrnAznh0GNwoyAiQ6e5LECq9LY+AjPYfmkbCqp+m9WDI4ULLMoIyD9y61SFjjGXR0N
 TsoFe1HbwjM7e7u8msHh/48zJ/RiG4p1J4uzZ36X43V6Xk1co6nJ2q2+513ynZslxwTR
 yGvpULmLo5ASBN6wuDgrsqZzwKosOEatoLeV9f3i1ivKNjniqbCNu04AOBJtWJm6VL2L
 rh7R00pyWHggmWAv26g+RaTwNOYiIzexu8UjTz9VhCABda0Wy4DTm6hCS6AnT+ALrq95
 TZJQ==
X-Gm-Message-State: APf1xPD1E6ZDRhTwsEhInxv1zTAsppNxLfRrM3EMTgUsk8Tnqc9ky13O
 FpTk7e/eaDh4jV9XfUT5TmmO5EuirO0aVLlGCFY=
X-Google-Smtp-Source: AH8x227/GPuHKP2uxe/Vj6H3HusuCb65Ccp8j4JsMY8fIT8/hkOoCcgFA4VYVCQp1Jpi9P/dcQkgGZgk2OasO9pxM6A=
X-Received: by 10.55.158.77 with SMTP id h74mr1896139qke.330.1518664050002;
 Wed, 14 Feb 2018 19:07:30 -0800 (PST)
MIME-Version: 1.0
Received: by 10.237.54.65 with HTTP; Wed, 14 Feb 2018 19:07:29 -0800 (PST)
In-Reply-To: <87a7wb81kk.fsf@HIDDEN>
References: <m2lgfviki1.fsf@HIDDEN> <83tvujwh2t.fsf@HIDDEN>
 <CAHyO48w=AxU8t14ThDWjkOLJvdHehn0miducqEKMp-AChf0TxQ@HIDDEN>
 <87a7wb81kk.fsf@HIDDEN>
From: Aaron Jensen <aaronjensen@HIDDEN>
Date: Wed, 14 Feb 2018 19:07:29 -0800
Message-ID: <CAHyO48wWP8C_+v_mpQbzH-migj+Bggr4aCwb5ompbWGFn6Z3VQ@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: 0.0 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.0 (/)

On Wed, Feb 14, 2018 at 5:48 PM, Noam Postavsky <npostavs@HIDDEN> wrote:
> Another workaround/trick for long-lines in cases where the line in
> question is a big lisp expression
>
>     M-: (pp-buffer) RET
>
> (but only in Emacs 26; before that lisp indentation is quadratic in the
> size of the expression, cf Bug#25122)

That's a nice trick, thanks!




Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#30457: 26.0.91; bidi-display-reordering makes navigation around melpa/archive-contents slow
Resent-From: Aaron Jensen <aaronjensen@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Thu, 15 Feb 2018 18:50:02 +0000
Resent-Message-ID: <handler.30457.B30457.151872057116598 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 30457
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: Eli Zaretskii <eliz@HIDDEN>
Cc: 30457 <at> debbugs.gnu.org
Received: via spool by 30457-submit <at> debbugs.gnu.org id=B30457.151872057116598
          (code B ref 30457); Thu, 15 Feb 2018 18:50:02 +0000
Received: (at 30457) by debbugs.gnu.org; 15 Feb 2018 18:49:31 +0000
Received: from localhost ([127.0.0.1]:45097 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1emOb5-0004Je-80
	for submit <at> debbugs.gnu.org; Thu, 15 Feb 2018 13:49:31 -0500
Received: from mail-qk0-f170.google.com ([209.85.220.170]:34075)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <aaronjensen@HIDDEN>) id 1emOb3-0004JP-F8
 for 30457 <at> debbugs.gnu.org; Thu, 15 Feb 2018 13:49:29 -0500
Received: by mail-qk0-f170.google.com with SMTP id o7so853422qkc.1
 for <30457 <at> debbugs.gnu.org>; Thu, 15 Feb 2018 10:49:29 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:in-reply-to:references:from:date:message-id:subject:to
 :cc; bh=/IlVMYviSvV83delFEZClyVZhuby6YUJ5el1vCOnNBE=;
 b=ILFf++zWZ76dAFVfbD0/Fopy3hIrYdkOZ4JUdpfLBZUsLVMcmpLPFlk8d8J1sqEcxs
 oc27AnXulB7JaIPeA1IS2TiRZwLoOx4LGNeNq3BUWbS63JZ7OCuVNYVNgyD6mi3VY604
 bP8JEDrmyON8nrqo1WFOg0MbctvNQcUP5qObI40wm7J37M/6htf9LgeQ7AkEpB++5Q0P
 JM1YtAE/LBvQN5vRwLEDxYSEyMoEFfxLNK5SeZGMkO0yAM3KxMSAMFeWvE+hFNBBUbDc
 R7x8H0Baj2fOFbwS/o+YJ1wzoUXP4qI8LdB7s9VJLvS6lBbBhW4+VP16A1BxBHZFU2Qs
 SS1g==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:in-reply-to:references:from:date
 :message-id:subject:to:cc;
 bh=/IlVMYviSvV83delFEZClyVZhuby6YUJ5el1vCOnNBE=;
 b=rBF4z6RruyzrGLjX5vr6qGiazib4P3VGl7af5Kzoa56m1/1VsyvjQnQpjlVeYXZORR
 uJ3h85hns0iOfn+iZIvahOJ/hvMUjozy7H9z+vAZFpmjALkNtcsZbHb0CMlPi10z8NB8
 Vep43q/9TlS9Ui6Lu/fWDmGMRr+vQapbDD4FWLNnOYgnyOPFUwmO8FcII7dHw7PzpW98
 YzT42EN5yU5NXxf604pMWH62ZN6scnrPJtChND7NrtgyWS5Zmr8xqmcd2ono5/SRT+1x
 Y/0D6g5lxuxOMvf3Rqcdoxs6XQps/G+Q1vkPVkhtTrHA2WbzKPuvIavN1A5fm9yAzak4
 r5nA==
X-Gm-Message-State: APf1xPA1A4QmqNLVbSIdvJYGw4JnD/Jr6aQltvgNYjKq6tb0/jLeh2s4
 xdpRzL4l3K0us2w7F4H4FSXiFWEnyZjwTHJJsEc=
X-Google-Smtp-Source: AH8x2271VPZZ0SRXK/ay697vQPP3ZV3czVQ6BhftfKudFDLuANJaJOAtjYg+oU/cki3ezPTr7hCGA1w+dVmdQjq0HCI=
X-Received: by 10.55.74.2 with SMTP id x2mr5404184qka.314.1518720563755; Thu,
 15 Feb 2018 10:49:23 -0800 (PST)
MIME-Version: 1.0
Received: by 10.237.54.65 with HTTP; Thu, 15 Feb 2018 10:49:23 -0800 (PST)
In-Reply-To: <83mv0bwds5.fsf@HIDDEN>
References: <m2lgfviki1.fsf@HIDDEN> <83tvujwh2t.fsf@HIDDEN>
 <CAHyO48w=AxU8t14ThDWjkOLJvdHehn0miducqEKMp-AChf0TxQ@HIDDEN>
 <83mv0bwds5.fsf@HIDDEN>
From: Aaron Jensen <aaronjensen@HIDDEN>
Date: Thu, 15 Feb 2018 10:49:23 -0800
Message-ID: <CAHyO48zd=iAc80uOwBJx2yD-sDNdmyO9hhny1nxhc0fxRyjAnw@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: -0.0 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.0 (/)

Recapturing thread that accidentally went private...

On Wed, Feb 14, 2018 at 7:37 PM, Eli Zaretskii <eliz@HIDDEN> wrote:
> > So is this bug a WONTFIX then?
> It isn't WONTFIX, I just don't know how to make the BPA implementation
> faster with such long lines and deeply nested parentheses.  It already
> includes all the optimizations I could think of.  But maybe someone
> else will find a way to optimize it more.

I'm only just now learning about BPA, so I apologize if this is a
silly question, but would it be any faster to scan a buffer and
determine that there are no rtl characters so parentheses matching is
unnecessary?

> > And/or does it fall into the general "emacs is not super optimized
> > for long lines" thing?
> It does, sort of.  At least near the end of the buffer you clearly see
> that bidi-display-reordering has a much smaller effect, in relative
> terms.

Yeah, I wasn't aware that the end of the buffer had more slowness, but
that's good to know.

Thanks,

Aaron




Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#30457: 26.0.91; bidi-display-reordering makes navigation around melpa/archive-contents slow
Resent-From: Eli Zaretskii <eliz@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Thu, 15 Feb 2018 21:48:02 +0000
Resent-Message-ID: <handler.30457.B30457.15187312637417 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 30457
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: Aaron Jensen <aaronjensen@HIDDEN>
Cc: 30457 <at> debbugs.gnu.org
Reply-To: Eli Zaretskii <eliz@HIDDEN>
Received: via spool by 30457-submit <at> debbugs.gnu.org id=B30457.15187312637417
          (code B ref 30457); Thu, 15 Feb 2018 21:48:02 +0000
Received: (at 30457) by debbugs.gnu.org; 15 Feb 2018 21:47:43 +0000
Received: from localhost ([127.0.0.1]:45205 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1emRNW-0001vZ-Qu
	for submit <at> debbugs.gnu.org; Thu, 15 Feb 2018 16:47:43 -0500
Received: from eggs.gnu.org ([208.118.235.92]:60342)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1emRNV-0001vM-6e
 for 30457 <at> debbugs.gnu.org; Thu, 15 Feb 2018 16:47:41 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eliz@HIDDEN>) id 1emRNM-00061P-V1
 for 30457 <at> debbugs.gnu.org; Thu, 15 Feb 2018 16:47:36 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,T_RP_MATCHES_RCVD
 autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:39773)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1emRNM-00061J-Qw; Thu, 15 Feb 2018 16:47:32 -0500
Received: from [176.228.60.248] (port=2603 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1emRNM-0004zk-8x; Thu, 15 Feb 2018 16:47:32 -0500
Date: Thu, 15 Feb 2018 23:47:26 +0200
Message-Id: <83sha2udqp.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
In-reply-to: <CAHyO48zd=iAc80uOwBJx2yD-sDNdmyO9hhny1nxhc0fxRyjAnw@HIDDEN>
 (message from Aaron Jensen on Thu, 15 Feb 2018 10:49:23 -0800)
References: <m2lgfviki1.fsf@HIDDEN> <83tvujwh2t.fsf@HIDDEN>
 <CAHyO48w=AxU8t14ThDWjkOLJvdHehn0miducqEKMp-AChf0TxQ@HIDDEN>
 <83mv0bwds5.fsf@HIDDEN>
 <CAHyO48zd=iAc80uOwBJx2yD-sDNdmyO9hhny1nxhc0fxRyjAnw@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

> From: Aaron Jensen <aaronjensen@HIDDEN>
> Date: Thu, 15 Feb 2018 10:49:23 -0800
> Cc: 30457 <at> debbugs.gnu.org
> 
> > It isn't WONTFIX, I just don't know how to make the BPA implementation
> > faster with such long lines and deeply nested parentheses.  It already
> > includes all the optimizations I could think of.  But maybe someone
> > else will find a way to optimize it more.
> 
> I'm only just now learning about BPA, so I apologize if this is a
> silly question, but would it be any faster to scan a buffer and
> determine that there are no rtl characters so parentheses matching is
> unnecessary?

Scanning the entire buffer could be faster only for small buffers.
But with a very large buffer we'd be scanning a lot more than needed,
because redisplay tries very hard not to examine much more of the
buffer than is needed to show one window-full.  And due to the way the
display engine is designed, it doesn't lend itself easily to caching
stuff, so you'd need to scan the entire buffer every redisplay cycle,
e.g., after each C-n.

The current code in bidi_find_bracket_pairs scans only as much as
needed (which unfortunately could be quite a lot for deeply nested
parens in a long line).  And it already includes an optimization for
strictly left-to-right text inside the parens, something that it
detects as part of the scan.

> > It does, sort of.  At least near the end of the buffer you clearly see
> > that bidi-display-reordering has a much smaller effect, in relative
> > terms.
> 
> Yeah, I wasn't aware that the end of the buffer had more slowness, but
> that's good to know.

The farther you are from the beginning of line, the more buffer
positions Emacs needs to scan to determine where to put point after
C-n or C-p.  That's because the layout calculations needed for
determining coordinates of each buffer position must start from some
known anchor, and currently the only anchor is the line beginning,
where we sure the X coordinate is zero.  So Emacs needs to go back to
the line beginning (something it can do very fast), and then come back
(much slower) one character at a time, until it hits the buffer
position with the right coordinate.  That coming back is the main
reason why doing this near the end of the line is so much slower than
near the beginning.




Message received at control <at> debbugs.gnu.org:


Received: (at control) by debbugs.gnu.org; 10 Mar 2020 14:40:19 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Mar 10 10:40:19 2020
Received: from localhost ([127.0.0.1]:53052 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jBg3O-0007um-Ty
	for submit <at> debbugs.gnu.org; Tue, 10 Mar 2020 10:40:19 -0400
Received: from eggs.gnu.org ([209.51.188.92]:57342)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>)
 id 1jBg3N-0007uW-CY; Tue, 10 Mar 2020 10:40:17 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:36981)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1jBg3I-0002Hs-2m; Tue, 10 Mar 2020 10:40:12 -0400
Received: from [176.228.60.248] (port=1144 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1jBg3H-0006JF-DX; Tue, 10 Mar 2020 10:40:11 -0400
Date: Tue, 10 Mar 2020 16:40:12 +0200
Message-Id: <831rq0b7eb.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Jan Synacek <jsynacek@HIDDEN>
In-Reply-To: <m6fmu8oh76f.fsf@HIDDEN> (message from Jan
 Synacek on Tue, 10 Mar 2020 10:48:24 +0100)
Subject: Re: bug#40007: 28.0.50;
 Emacs gets very slow when displaying a long line
References: <m6fmu8oh76f.fsf@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: control
Cc: 40007 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

merge 40007 13675
thanks

> From: Jan Synacek <jsynacek@HIDDEN>
> Date: Tue, 10 Mar 2020 10:48:24 +0100
> 
> 
> 1) emacs -Q
> 2) M-x shell
> 3) execute a program that displays a single line, about ~193000
> characters long
> 
> I accidentaly wrote a scheme program that dumped an entire file as a
> single line, about 193k characters long, into the shell buffer. Emacs'
> reponse latency becomes *very* slow, especially when navigating the
> point over the long line.

This is bug#13675 (and others that were merged with it).

We now have so-long-mode to alleviate some of the problems.





Last modified: Tue, 10 Mar 2020 14:45:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.